# Description
This is a collection of supplemental material to to the Interactive Qualifying Project at WPI entitled "A History of Physics at WPI" written by Christopher M. Pierce.
Three components are contained here:
1. A final copy of the dataset used in the report
2. Tools used to manage and collect that dataset
3. Derivative datasets and tools used to plot them

# Dependencies
All software was developed for python version 2.7 interpreter and interfaces with MariaDB version 5.6.
The versions of python modules used were:
* MySQLdb, 1.2.5
* mechanize, 0.2.5
* json, 2.5.1
* socks, 1.5.7
* numpy, 1.10.4
* statistics, 1.0.3.5
* nameparser, 0.5.1

# Use
## Loading of Dataset
The final dataset used in the project is stored in the file entitled `20170418_database_dump.sql`.
Any database management system compatible (DBMS) with MySQL style commands will load the data.
The DMBS MariaDB was used for the project.
To load the dataset into it, enter the root directory of this repository and run the command `mysql -h <hostname> -u <database user> -p < 20170418_database_dump.sql` where `<hostname>` is the hostname of the machine running the database (`localhost` for most people) and `<database user>` is the name of the user in the DBMS who will be loading the database.
The database will now be loaded and contain the tables:
### aps_article_metadata
Includes all single valued parameters of publications collected from the APS database.

### aps_author_association
Contains pairs of authors and IDs to the articles they are associated with.
By querying all authors associated with one paper from this table, the author list may be retrieved.

### aps_query_history
A list of the queries performed on the APS database and if the query is considered valid or not.

### aps_references
Similar to the table of authors, includes pairs of references and articles.
The reference list of an article may be retrieved by querying the references associated with it from this table.

### course_catalog_faculty_entries
The raw entries collected from WPI course catalogues.

## Generating Figures
The datasets used to generate the figures in the report are contained in the directory `datasets`.
To generate them, simply enter into the root directory of this repository and run `make`.
Figures will now appear in the three folders `ps`, `pdf`, and `eps` each with its respective file type.
